<template>
  <li>
    <base-badge v-if="isOwner" title="Owner" type="career"></base-badge>
    <h3>Title : {{ title }}</h3>
    <div v-if="viewAction" class="actions">
      <base-button :to="articleDetailsLink" link>View Details</base-button>
    </div>
  </li>
</template>

<script>
import BaseBadge from "../ui/BaseBadge.vue";

export default {
  components: {BaseBadge},
  props: ['article', 'viewAction'],
  computed: {
    title() {
      return this.article.title;
    },
    articleDetailsLink() {
      return this.$route.path + '/' + this.article.slug;
    },
    isOwner() {
      return this.article.user_id == this.$store.getters.userId;
    },
    isLoggedIn() {
      return this.$store.getters.isAuthenticated;
    },
  },
};
</script>

<style scoped>
li {
  margin: 1rem 0;
  border: 1px solid #424242;
  border-radius: 12px;
  padding: 1rem;
}

h3 {
  font-size: 1.5rem;
}

h3,
h4 {
  margin: 0.5rem 0;
}

div {
  margin: 0.5rem 0;
}

.actions {
  display: flex;
  justify-content: flex-end;
}
</style>
